### Enumeration

# Adw AnimationState

#### Declaration

    enum Adw.AnimationState

#### Description [src]

Describes the possible states of an `AdwAnimation`.

The state can be controlled with `adw_animation_play()`, `adw_animation_pause()`, `adw_animation_resume()`, `adw_animation_reset()` and `adw_animation_skip()`.

Available since: | 1.0

#### Members

Name | Description
--- | ---
`ADW_ANIMATION_IDLE` | The animation hasn’t started yet.
`ADW_ANIMATION_PAUSED` | The animation has been paused.
`ADW_ANIMATION_PLAYING` | The animation is currently playing.
`ADW_ANIMATION_FINISHED` | The animation has finished.